This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460334 - RHV Host refresh fail on undefined method `detect' for nil:NilClass
RHV Host refresh fail on undefined method `detect' for nil:NilClass
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Piotr Kliczewski
Ilanit Stein
rhev
: ZStream
Depends On: 1393942
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 14:05 EDT by Satoe Imaishi
Modified: 2017-08-02 13:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1393942
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/38 None None None 2017-06-09 14:05 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-09 14:11:08 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f0c6c2d7ae54e3892530b7422d5f896812951e1e

commit f0c6c2d7ae54e3892530b7422d5f896812951e1e
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Mon May 29 13:47:31 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 14:06:17 2017 -0400

    Merge pull request #38 from pkliczewski/bug-1393942
    
    Broken host targeted refresh
    (cherry picked from commit f27dead90dff46cf070ac5599a17fccb6c3ba547)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460334

 .../providers/redhat/infra_manager/inventory/strategies/v4.rb        | 5 +++++
 .../providers/redhat/infra_manager/refresh/strategies/api3.rb        | 1 +
 2 files changed, 6 insertions(+)
Comment 3 Ilanit Stein 2017-07-05 02:13:12 EDT
Verified on CFME-5.8.1(api V3 set by default)/RHV-4.1.3

RHV had 250 VMs.

Full refresh - successful
Host refresh - successful
Comment 5 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.